/* 
   31337 recoder;)

   Copyright (C) 2002 Marek "Tilk" Materzok <tilk@lucifer.geos.pl>

   Ideas: Andrzej Lindnal <sznik@osama.geos.pl>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

*/

#ifndef __eleet_recoder_morse_h
#define __eleet_recoder_morse_h

#include "recoder.h"

#include <string>

class MorseRecoder: public Recoder
{
	public:
		MorseRecoder();
		
	protected:
		void DoEncode();
		void DoDecode();
	
		void ScanOpts();

	private:
		void Init();

		std::string EncodeChar();
		char DecodeChar();

		std::string lspacer;
		std::string spacer;
		std::string newline;

		bool omit_lspacer;
		bool pass_uncoded;
};

#endif

